# Uses of Class
it.tdlight.jni.TdApi.ClosedVectorPath

## Uses of TdApi.ClosedVectorPath in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ClosedVectorPath
Modifier and Type
Field
Description
`TdApi.ClosedVectorPath[]`
TdApi.Sticker.`outline`
Sticker's outline represented as a list of closed vector paths; may be empty.
`TdApi.ClosedVectorPath[]`
TdApi.StickerSet.`thumbnailOutline`
Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty.
`TdApi.ClosedVectorPath[]`
TdApi.StickerSetInfo.`thumbnailOutline`
Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty.
Constructors in it.tdlight.jni with parameters of type TdApi.ClosedVectorPath
Modifier
Constructor
Description
``
`Sticker(long id, long setId, int width, int height, String emoji, TdApi.StickerFormat format, TdApi.StickerFullType fullType, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)`
Describes a sticker.
``
`StickerSet(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isInstalled, boolean isArchived, boolean isOfficial, TdApi.StickerFormat stickerFormat, TdApi.StickerType stickerType, boolean needsRepainting, boolean isAllowedAsChatEmojiStatus, boolean isViewed, TdApi.Sticker[] stickers, TdApi.Emojis[] emojis)`
Represents a sticker set.
``
`StickerSetInfo(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isInstalled, boolean isArchived, boolean isOfficial, TdApi.StickerFormat stickerFormat, TdApi.StickerType stickerType, boolean needsRepainting, boolean isAllowedAsChatEmojiStatus, boolean isViewed, int size, TdApi.Sticker[] covers)`
Represents short information about a sticker set.